<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/lcd.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">lcd.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/ded/lcd_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __LCD_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __LCD_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="comment">//#include &lt;stdbool.h&gt;</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="comment">/* Macro, type and constant definitions                                                                    */</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadcf949aa2606a24cc0dfbf13e0404046">   44</a></span><span class="preprocessor">#define LCD_FREQ_DIV32      ((uint32_t) 0x00000000) </span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba8ea911de18ff1d5502e7451e401448">   45</a></span><span class="preprocessor">#define LCD_FREQ_DIV64      ((uint32_t) 0x00000010) </span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadc9ad02cff482e9959a3d17d424cb7ca">   46</a></span><span class="preprocessor">#define LCD_FREQ_DIV96      ((uint32_t) 0x00000020) </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad869fe607b3b10df273393ee223433f0">   47</a></span><span class="preprocessor">#define LCD_FREQ_DIV128     ((uint32_t) 0x00000030) </span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf88244735ea2bc65b789a3251f375aeb">   48</a></span><span class="preprocessor">#define LCD_FREQ_DIV192     ((uint32_t) 0x00000040) </span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3544f42652af0d0ba3d5e5e7805065a7">   49</a></span><span class="preprocessor">#define LCD_FREQ_DIV256     ((uint32_t) 0x00000050) </span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf276c4a03e49ee40369bbc99d45e8cb4">   50</a></span><span class="preprocessor">#define LCD_FREQ_DIV384     ((uint32_t) 0x00000060) </span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaea7e8e1aaab5f4bef98d53117b909f8e">   51</a></span><span class="preprocessor">#define LCD_FREQ_DIV512     ((uint32_t) 0x00000070) </span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafb846a4ed95e97a8f44716363f19fb08">   53</a></span><span class="preprocessor">#define LCD_MUX_STATIC      ((uint32_t) 0x00000000) </span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0315a5e6a3e532d2ef82bb6cefdcd041">   54</a></span><span class="preprocessor">#define LCD_MUX_ONE_SECOND  ((uint32_t) 0x00000002) </span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga13d175038ac1b345b6574aa224f2d6bc">   55</a></span><span class="preprocessor">#define LCD_MUX_ONE_THIRD   ((uint32_t) 0x00000004) </span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5f60d6133a7f2e91769e0873cc2505f1">   56</a></span><span class="preprocessor">#define LCD_MUX_ONE_FOURTH  ((uint32_t) 0x00000006) </span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7bc4a4b431620c891549c70b899361a7">   57</a></span><span class="preprocessor">#define LCD_MUX_ONE_FIFTH   ((uint32_t) 0x00000008) </span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8148677068a9d861d1336f03296bb5ff">   58</a></span><span class="preprocessor">#define LCD_MUX_ONE_SIXTH   ((uint32_t) 0x0000000A) </span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0c1f0c45bd3ff79658e01ee2203e6869">   60</a></span><span class="preprocessor">#define LCD_BIAS_STATIC     ((uint32_t) 0x00000000) </span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac96ae57b0a7268e3606db85922dd7e7f">   61</a></span><span class="preprocessor">#define LCD_BIAS_HALF       ((uint32_t) 0x00000002) </span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad16ee5260c1c03044d7055f047e89a6">   62</a></span><span class="preprocessor">#define LCD_BIAS_THIRD      ((uint32_t) 0x00000004) </span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga638c0385890bf8b54cc591a9fbf1feac">   64</a></span><span class="preprocessor">#define LCD_CPUMP_DIV1      ((uint32_t) 0x00000000) </span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad27c2d5680a7e0dea69ba578cf1d5ace">   65</a></span><span class="preprocessor">#define LCD_CPUMP_DIV2      ((uint32_t) 0x00000800) </span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga43d645cadf01e14c6cb286b7ff3a8c3a">   66</a></span><span class="preprocessor">#define LCD_CPUMP_DIV4      ((uint32_t) 0x00001000) </span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga27a1d5355f28a99423bd2d3094e9b2d4">   67</a></span><span class="preprocessor">#define LCD_CPUMP_DIV8      ((uint32_t) 0x00001800) </span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga45aac5e284beb0f01029de3e22dfa672">   68</a></span><span class="preprocessor">#define LCD_CPUMP_DIV16     ((uint32_t) 0x00002000) </span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ba3902bb4be520e2886b3e23ba77f2b">   69</a></span><span class="preprocessor">#define LCD_CPUMP_DIV32     ((uint32_t) 0x00002800) </span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0090faef601888ad192c240a062748d9">   70</a></span><span class="preprocessor">#define LCD_CPUMP_DIV64     ((uint32_t) 0x00003000) </span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae4d0e4776b0110361dfa1de10ce01573">   71</a></span><span class="preprocessor">#define LCD_CPUMP_DIV128    ((uint32_t) 0x00003800) </span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga366206e0c10b5db869ff21fc8a655f46">   73</a></span><span class="preprocessor">#define LCD_CPVOl_2_7V  ((uint32_t) 0x00000000) </span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga05556d6fc65065ac10b1390848fbed37">   74</a></span><span class="preprocessor">#define LCD_CPVOl_2_8V  ((uint32_t) 0x00000100) </span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5d3c10037141c465a8631b6c2be680a9">   75</a></span><span class="preprocessor">#define LCD_CPVOl_2_9V  ((uint32_t) 0x00000200) </span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9897465e13b1dea7aaf45dc0b6c81d56">   76</a></span><span class="preprocessor">#define LCD_CPVOl_3V    ((uint32_t) 0x00000300) </span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5580a74656382e309c442563b97115f5">   77</a></span><span class="preprocessor">#define LCD_CPVOl_3_1V  ((uint32_t) 0x00000400) </span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga154c4547aaa7351d8fa0b5b155654340">   78</a></span><span class="preprocessor">#define LCD_CPVOl_3_2V  ((uint32_t) 0x00000500) </span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga320fd4754189b819bc419e3521fddf8e">   79</a></span><span class="preprocessor">#define LCD_CPVOl_3_3V  ((uint32_t) 0x00000600) </span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad523ffec303ae12ed70ed95285fbb30c">   80</a></span><span class="preprocessor">#define LCD_CPVOl_3_4V  ((uint32_t) 0x00000700) </span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf413939d0a576f18224d7beb89ae6880">   82</a></span><span class="preprocessor">#define LCD_FCPRESC_DIV1 ((uint32_t) 0x00000000)    </span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga450b33c61bd083333f856a63b4c4a403">   83</a></span><span class="preprocessor">#define LCD_FCPRESC_DIV2 ((uint32_t) 0x00000004)    </span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae16ed6ea2a8493a6af3326cd6378d9ba">   84</a></span><span class="preprocessor">#define LCD_FCPRESC_DIV4 ((uint32_t) 0x00000008)    </span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga95786b8fb90f9dc8620ce9dad82696d5">   85</a></span><span class="preprocessor">#define LCD_FCPRESC_DIV8 ((uint32_t) 0x0000000C)    </span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafb1b7d1f3668cd0c515038ed44381f9f">   87</a></span><span class="preprocessor">#define LCD_FRAMECOUNT_INT  ((uint32_t) 0x00000001) </span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ed13e03b1b855b88fd4348c60f2c08d">   88</a></span><span class="preprocessor">#define LCD_POWERDOWN_INT   ((uint32_t) 0x00000002) </span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7ed4d1e605b6a4d55b31d0dc35a92ffc">   89</a></span><span class="preprocessor">#define LCD_ALL_INT         ((uint32_t) 0x00000003)  </span><span class="comment">/* end of group NANO1X2_LCD_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#ga4aade76e2254b1c2858759860b9c8fdc">   97</a></span><span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca722f6b687c5d15031a0b3f1291f9cf04">   98</a></span>    <a class="code hl_enumvalue" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca722f6b687c5d15031a0b3f1291f9cf04">LCD_C_TYPE</a> = 0,          </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdcad2fdb0d69edeb2b2691226f09e3b3633">   99</a></span>    <a class="code hl_enumvalue" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdcad2fdb0d69edeb2b2691226f09e3b3633">LCD_EXTERNAL_R_TYPE</a> = 1, </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca4d80acf10b407e4e00a5e9c0237277f9">  100</a></span>    <a class="code hl_enumvalue" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca4d80acf10b407e4e00a5e9c0237277f9">LCD_INTERNAL_R_TYPE</a> = 2, </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    <a class="code hl_enumvalue" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca1ae579017fce26afb60099d81a4d2abd">LCD_EXTERNAL_C_TYPE</a> = 3  </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca1ae579017fce26afb60099d81a4d2abd">  102</a></span>} <a class="code hl_enumeration" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#ga4aade76e2254b1c2858759860b9c8fdc">LCD_PanelType</a>;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> <span class="comment">/* end of group NANO1X2_LCD_EXPORTED_STRUCTS */</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga08f76e328b11f665c68155b860bbb11d">  118</a></span><span class="preprocessor">#define LCD_GET_PD_INT_FLAG()        ((LCD-&gt;FCSTS &amp; LCD_FCSTS_PDSTS_Msk) &gt;&gt; LCD_FCSTS_PDSTS_Pos)</span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa9475c8c5b2c4a0548d53a3e277353a5">  127</a></span><span class="preprocessor">#define LCD_CLR_PD_INT_FLAG()        (LCD-&gt;FCSTS = LCD_FCSTS_PDSTS_Msk)</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span> </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99308a27406d5535802bb1b81c5deed1">  136</a></span><span class="preprocessor">#define LCD_GET_FRAME_CNT_INT_FLAG()  ((LCD-&gt;FCSTS &amp; LCD_FCSTS_FCSTS_Msk) &gt;&gt; LCD_FCSTS_FCSTS_Pos)</span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span> </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad672a15e15b26691fc82ff039e8fd553">  145</a></span><span class="preprocessor">#define LCD_CLR_FRAME_CNT_INT_FLAG()   (LCD-&gt;FCSTS = LCD_FCSTS_FCSTS_Msk)</span></div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1e62062370a4026363bb808673362cfb">  154</a></span><span class="preprocessor">#define LCD_ENABLE_PD_DISPLAY()    (LCD-&gt;CTL |= LCD_CTL_PDDISP_EN_Msk)</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span> </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8e99d262ce68109aa3cd2f9d9286542">  163</a></span><span class="preprocessor">#define LCD_DISABLE_PD_DISPLAY()   (LCD-&gt;CTL &amp;= ~LCD_CTL_PDDISP_EN_Msk)</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span> </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>uint32_t <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaecd530f9642d69ebd329530c33b1c002">LCD_EnableFrameCounter</a>(uint32_t u32Count);</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac9d571af631f230b2d093b70426bbd7c">LCD_DisableFrameCounter</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>uint32_t <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaac399c45e3931c6dcbaa95c79a766a6a">LCD_EnableBlink</a>(uint32_t u32ms);</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae97874077bfb3a021c61690b21004f69">LCD_DisableBlink</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga92f309aa07814f033fa583e1e74e68bf">LCD_EnableInt</a>(uint32_t IntSrc);</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab38a1d741553128199a9c4b3c0015bcf">LCD_DisableInt</a>(uint32_t IntSrc);</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>uint32_t <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga63cc493ec700a988c2382c3b09a09157">LCD_Open</a>(uint32_t u32DrivingType, uint32_t u32ComNum, uint32_t u32BiasLevel, uint32_t u32FramerateDiv, uint32_t u32DrivingVol);</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38931e2f60a5bca8527b78604644e67a">LCD_SetPixel</a>(uint32_t u32Com, uint32_t u32Seg, uint32_t u32OnFlag);</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4cf38e762042748bb3948fea1031da19">LCD_SetAllPixels</a>(uint32_t u32OnOff);</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2b1b24fe536b594eff3fbc4acfd7dc8">LCD_Close</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga887cf767cf1fd06106c2c14b10c048ba">  184</a></span><span class="keyword">static</span> __INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga887cf767cf1fd06106c2c14b10c048ba">LCD_EnableDisplay</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>{</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    <span class="comment">/* Enable LCD */</span></div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a996eafe46bdddc2189610148631ca00a">LCD_CTL_EN_Msk</a>;</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>}</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span> </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno"><a class="line" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc02b6e8ef1f3ab301853f4f8155e030">  198</a></span><span class="keyword">static</span> __INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc02b6e8ef1f3ab301853f4f8155e030">LCD_DisableDisplay</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>{</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    <span class="comment">/* Enable LCD */</span></div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL &amp;= ~LCD_CTL_EN_Msk;</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>}</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span> </div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span> </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span> <span class="comment">/* end of group NANO1X2_LCD_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span> </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span> <span class="comment">/* end of group NANO1X2_LCD_Driver */</span></div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span> </div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span> </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>}</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span> </div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span><span class="preprocessor">#endif  </span><span class="comment">/* __LCD_H__ */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span> </div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span> </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span> </div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span> </div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span> </div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a996eafe46bdddc2189610148631ca00a"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a996eafe46bdddc2189610148631ca00a">LCD_CTL_EN_Msk</a></div><div class="ttdeci">#define LCD_CTL_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05557">Nano1X2Series.h:5557</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga38931e2f60a5bca8527b78604644e67a"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38931e2f60a5bca8527b78604644e67a">LCD_SetPixel</a></div><div class="ttdeci">void LCD_SetPixel(uint32_t u32Com, uint32_t u32Seg, uint32_t u32OnFlag)</div><div class="ttdoc">Enables a segment on the LCD display.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00062">lcd.c:62</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga4cf38e762042748bb3948fea1031da19"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4cf38e762042748bb3948fea1031da19">LCD_SetAllPixels</a></div><div class="ttdeci">void LCD_SetAllPixels(uint32_t u32OnOff)</div><div class="ttdoc">LCD Enable/Disable all segments.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00166">lcd.c:166</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga63cc493ec700a988c2382c3b09a09157"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga63cc493ec700a988c2382c3b09a09157">LCD_Open</a></div><div class="ttdeci">uint32_t LCD_Open(uint32_t u32DrivingType, uint32_t u32ComNum, uint32_t u32BiasLevel, uint32_t u32FramerateDiv, uint32_t u32DrivingVol)</div><div class="ttdoc">LCD Initialization routine.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00287">lcd.c:287</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga887cf767cf1fd06106c2c14b10c048ba"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga887cf767cf1fd06106c2c14b10c048ba">LCD_EnableDisplay</a></div><div class="ttdeci">static __INLINE void LCD_EnableDisplay(void)</div><div class="ttdoc">Enable LCD controller.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00184">lcd.h:184</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga92f309aa07814f033fa583e1e74e68bf"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga92f309aa07814f033fa583e1e74e68bf">LCD_EnableInt</a></div><div class="ttdeci">void LCD_EnableInt(uint32_t IntSrc)</div><div class="ttdoc">This function is used to enable LCD interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00444">lcd.c:444</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaac399c45e3931c6dcbaa95c79a766a6a"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaac399c45e3931c6dcbaa95c79a766a6a">LCD_EnableBlink</a></div><div class="ttdeci">uint32_t LCD_EnableBlink(uint32_t u32ms)</div><div class="ttdoc">Enable Blink function in LCD controller.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00376">lcd.c:376</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab2b1b24fe536b594eff3fbc4acfd7dc8"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2b1b24fe536b594eff3fbc4acfd7dc8">LCD_Close</a></div><div class="ttdeci">void LCD_Close(void)</div><div class="ttdoc">The function is used to disable LCD controller.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00362">lcd.c:362</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab38a1d741553128199a9c4b3c0015bcf"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab38a1d741553128199a9c4b3c0015bcf">LCD_DisableInt</a></div><div class="ttdeci">void LCD_DisableInt(uint32_t IntSrc)</div><div class="ttdoc">This function is used to disable LCD specified interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00466">lcd.c:466</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac9d571af631f230b2d093b70426bbd7c"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac9d571af631f230b2d093b70426bbd7c">LCD_DisableFrameCounter</a></div><div class="ttdeci">void LCD_DisableFrameCounter(void)</div><div class="ttdoc">Disable frame count function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00264">lcd.c:264</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae97874077bfb3a021c61690b21004f69"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae97874077bfb3a021c61690b21004f69">LCD_DisableBlink</a></div><div class="ttdeci">void LCD_DisableBlink(void)</div><div class="ttdoc">Disable Blink function in LCD controller.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00423">lcd.c:423</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaecd530f9642d69ebd329530c33b1c002"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaecd530f9642d69ebd329530c33b1c002">LCD_EnableFrameCounter</a></div><div class="ttdeci">uint32_t LCD_EnableFrameCounter(uint32_t u32Count)</div><div class="ttdoc">Set Frame Count and Enable frame count.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/def/lcd_8c_source.html#l00210">lcd.c:210</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafc02b6e8ef1f3ab301853f4f8155e030"><div class="ttname"><a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc02b6e8ef1f3ab301853f4f8155e030">LCD_DisableDisplay</a></div><div class="ttdeci">static __INLINE void LCD_DisableDisplay(void)</div><div class="ttdoc">Disable LCD controller.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00198">lcd.h:198</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s_html_ga4aade76e2254b1c2858759860b9c8fdc"><div class="ttname"><a href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#ga4aade76e2254b1c2858759860b9c8fdc">LCD_PanelType</a></div><div class="ttdeci">LCD_PanelType</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00097">lcd.h:97</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s_html_gga4aade76e2254b1c2858759860b9c8fdca1ae579017fce26afb60099d81a4d2abd"><div class="ttname"><a href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca1ae579017fce26afb60099d81a4d2abd">LCD_EXTERNAL_C_TYPE</a></div><div class="ttdeci">@ LCD_EXTERNAL_C_TYPE</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00102">lcd.h:101</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s_html_gga4aade76e2254b1c2858759860b9c8fdca4d80acf10b407e4e00a5e9c0237277f9"><div class="ttname"><a href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca4d80acf10b407e4e00a5e9c0237277f9">LCD_INTERNAL_R_TYPE</a></div><div class="ttdeci">@ LCD_INTERNAL_R_TYPE</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00100">lcd.h:100</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s_html_gga4aade76e2254b1c2858759860b9c8fdca722f6b687c5d15031a0b3f1291f9cf04"><div class="ttname"><a href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca722f6b687c5d15031a0b3f1291f9cf04">LCD_C_TYPE</a></div><div class="ttdeci">@ LCD_C_TYPE</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00098">lcd.h:98</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s_html_gga4aade76e2254b1c2858759860b9c8fdcad2fdb0d69edeb2b2691226f09e3b3633"><div class="ttname"><a href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdcad2fdb0d69edeb2b2691226f09e3b3633">LCD_EXTERNAL_R_TYPE</a></div><div class="ttdeci">@ LCD_EXTERNAL_R_TYPE</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ded/lcd_8h_source.html#l00099">lcd.h:99</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gabf2d80992dcfabfd1668184c3dff2733"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a></div><div class="ttdeci">#define LCD</div><div class="ttdoc">Pointer to LCD register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10644">Nano1X2Series.h:10644</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
